Add continuous integration code linting script

This is a short-term solution for testing code formatting during
continuous integration. It relies on the npm ci function to install
package dependencies and run the vue-cli-service lint command.

Signed-off-by: Derick Montague <derick.montague@ibm.com>
Change-Id: I4a6c3f304ad4caa409c4f463dc1a098a96b7467f
diff --git a/format-code.sh b/format-code.sh
new file mode 100755
index 0000000..b490dd2
--- /dev/null
+++ b/format-code.sh
@@ -0,0 +1,11 @@
+# Run GUI Linting and Formatting as part of the CI Build process
+#
+# This is a short term solution. The long term solution to will be to
+# add much of this to the build script.
+#
+
+set -e
+
+npm ci
+npm run lint
+git --no-pager diff --exit-code
\ No newline at end of file